DocumentationAPI ReferenceContact UsGet Started
Introduction

Affiliates

List affiliates GETGet affiliate GETCreate affiliate POSTUpdate affiliate PUT

Campaigns

List campaigns GETGet campaign GETCreate campaign POSTUpdate campaign PUT

Referrals

List referrals GETCreate referral POST

Commissions

List commissions GETGet commission GETCreate commission POST

Payouts

List payouts GETGet payout GET
Affiliates

Update affiliate

Updates an existing affiliate.

PUT
/affiliates/{id}

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

emailstring

Format: "email"

first_namestring

last_namestring

payout_emailstring

Format: "email"

ref_codestring

promo_codestring

campaign_idstring

Format: "uuid"

approvedboolean

bannedboolean

detailsstring

new_paid_referral_notificationsboolean

Path Parameters

id
Required
string

Format: "uuid"

Previous

Create affiliate POST

Next

List campaigns GET

/affiliates/{id}

The Authorization access token

API key authentication. Use your API key as the bearer token.

Affiliate email

First name

Last name

Payout email address

Unique code that goes at the end of the affiliate link

Stripe promo code (will be generated if it doesn't already exist in Stripe)

Campaign UUID to assign the affiliate to

Whether the affiliate has been approved to start promoting

Whether the affiliate is banned. Banned affiliates are not eligible for future commissions and payouts.

Additional details

Whether the affiliate receives email alerts when they make a new paid referral

Resource UUID

Affiliate updated

curl -X PUT "https://www.promotekit.com/api/v1/affiliates/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "user@example.com",
    "first_name": "string",
    "last_name": "string",
    "payout_email": "user@example.com",
    "ref_code": "string",
    "promo_code": "string",
    "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",
    "approved": true,
    "banned": true,
    "details": "string",
    "new_paid_referral_notifications": true
  }'
{
  "success": true,
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "email": "user@example.com",
    "first_name": "string",
    "last_name": "string",
    "payout_email": "user@example.com",
    "links": [
      {
        "url": "string",
        "code": "string"
      }
    ],
    "promo_codes": [
      {
        "code": "string",
        "external_id": "string"
      }
    ],
    "clicks": 0,
    "approved": true,
    "banned": true,
    "details": "string",
    "new_paid_referral_notifications": true,
    "created_at": "2019-08-24T14:15:22Z",
    "campaign": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "website_url": "string",
      "commission_type": "percentage",
      "commission_amount": 0,
      "is_default": true,
      "limit_type": "string",
      "limit_amount": 0,
      "code_mode": "link",
      "reference_coupon": "string",
      "custom_commission_type": "string",
      "welcome_message": "string",
      "approval_needed": true,
      "collect_details": true,
      "details_text": "string",
      "hide_emails": true,
      "dashboard_text": "string",
      "cookie_duration": 0,
      "first_payment_commission": {
        "enabled": true,
        "type": "string",
        "amount": 0
      }
    }
  }
}